<?
include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';
$set['title']='Список моих гостей'; // заголовок страницы
include_once 'sys/inc/thead.php';

title();
aut();
if(!isset($user)){
echo '<div class="err">Список моих гостей закрыт .</div>';
}else{

if(isset($_GET['clean']))
{
if(isset($_GET['ok']))
{
mysql_query("DELETE FROM `my_guest` WHERE `id_user` = '$user[id]'");
msg('Журнал очищен');
}
else
{
echo"<div class='foot'>\n";
echo"Вы уверены что хотите очистить список гостей? <a href='?clean&amp;ok'>Да</a>|<a href='?'>Нет</a><br />\n";
echo"</div>\n";
}}









$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `my_guest` WHERE `id_user` = '$user[id]'"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];


if ($k_post==0){echo "Вашу страничку еще не посейщали<br/>\n";}


$q=mysql_query("SELECT * FROM `my_guest` WHERE `id_user` = '$user[id]' ORDER BY `time` DESC  LIMIT $start, $set[p_str]");
while ($post = mysql_fetch_array($q))
{

if($num==1){ 
echo "<div class='rowdown'>"; 
$num=0;
}else{ 
echo "<div class='rowup'>"; 
$num=1;}

$g=mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = '$post[id_guest]'"));

echo "";
echo "".online($g['id'])."<a href='/info.php?id=$g[id]'><span style=\"color:$g[color]\">$g[nick]</span></a>\n";
echo "(".vremja($post['time']).")<br/>\n";
echo "</div>"; 

}
echo"<a href='?clean'>Очистить список гостей</a><br />\n";

if ($k_page>1)str("myguest.php?",$k_page,$page); // Вывод страниц
}
include_once 'sys/inc/tfoot.php';
?>